Skip to navigation

Save Promotion

This API lets a user save a promotional offer using the promotion ID. The saved promotion could be later accessed under user’s saved promotions. The user can also remove a saved promotion. The response includes details of the action, such as the unique identifier for the saved promotion and the time of its creation and update.

Request Body

  • promotion_id (string): Specifies the ID of the promotion to be saved.

  • remove (integer): Indicates if the saved promotion should be removed. 1 indicates removing the saved promotion, while 0 leaves the promotion saved.

Response

  • promotion_id (string): Indicates the ID of the promotional offer that has been saved.

  • user_id (string): Shows the unique identifier corresponding to the user who saved the promotion.

  • id (string): Specifies a unique identifier for the save action.

  • created_at (string): Generates a timestamp at the moment of saving the promotion.

  • updated_at (string): Generates a timestamp of the last modification made to the saved promotion.

Query parameters

api_tokenstringOptional

Response

Save Promotion
messagestringOptional
apistringOptional
statusstringOptional
dataobjectOptional